#!/usr/bin/env python

import sys

if len(sys.argv) < 3:
    print "usage: extract-log.py log.input output.dat"
    sys.exit(1)

# read entire file into memory
fp = open(sys.argv[1],'rb')
txt = fp.read()
fp.close()

# log data segment starts at "Step" and ends at "Loop time" 
beg = txt.find('Step',0)
end = txt.find('Loop time',1)

if beg < 0 or end < 0 or beg > end: # check format
    print "Improperly formatted log file"
    sys.exit(2)

# open output file
fp = open(sys.argv[2],'w')

# turn header text into comment
# and write text to output
fp.write('# ')
fp.write(txt[beg:end-1])
fp.close()

